ncs

## Enum NCS

- java.lang.Object
- - java.lang.Enum<NCS>
  - - ncs.NCS

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<NCS>

    public enum NCS
    extends java.lang.Enum<NCS>
    implements java.io.Serializable

Non Cooperative Situation as defined in the AMAS theory.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CONTEXT_CONCURRENCE` The context concurrence.
`CONTEXT_CONFLICT_FALSE` The context conflict false.
`CONTEXT_CONFLICT_INEXACT` The context conflict inexact.
`CONTEXT_USELESSNESS` The context uselessness.
`CREATE_NEW_CONTEXT` The create new context.
`HEAD_IMPRODUCTIVE` The head improductive.
`HEAD_INCOMPETENT` The head incompetent.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `raiseNCS(World world)` Change the number of NCS in the world.
`static NCS` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static NCS[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CONTEXT_CONFLICT_FALSE

    public static final NCS CONTEXT_CONFLICT_FALSE

The context conflict false.

#### CONTEXT_CONFLICT_INEXACT

    public static final NCS CONTEXT_CONFLICT_INEXACT

The context conflict inexact.

#### CONTEXT_USELESSNESS

    public static final NCS CONTEXT_USELESSNESS

The context uselessness.

#### CONTEXT_CONCURRENCE

    public static final NCS CONTEXT_CONCURRENCE

The context concurrence.

#### HEAD_INCOMPETENT

    public static final NCS HEAD_INCOMPETENT

The head incompetent.

#### HEAD_IMPRODUCTIVE

    public static final NCS HEAD_IMPRODUCTIVE

The head improductive.

#### CREATE_NEW_CONTEXT

    public static final NCS CREATE_NEW_CONTEXT

The create new context.

### Method Detail

#### values

    public static NCS[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (NCS c : NCS.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static NCS valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### raiseNCS

    public void raiseNCS(World world)

Change the number of NCS in the world.

Parameters:
  `world` - the world